clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
EntityMap Class Reference
Inheritance diagram for EntityMap:
[legend]
Collaboration diagram for EntityMap:
[legend]

## Public Member Functions
void | add (const std::string &Name, enum Entry::EntryKind Kind, Location Loc)
void | mergeCurHeaderContents ()

## Public Attributes
DenseMap< const FileEntry *, HeaderContents > | HeaderContentMismatches

## Detailed Description

Definition at line 488 of file Modularize.cpp.

## Member Function Documentation

void EntityMap::add | ( | const std::string & | Name,
|  | enum Entry::EntryKind | Kind,
|  | Location | Loc
| ) |  |
| inline

Definition at line 492 of file Modularize.cpp.

References Location::File, and Name.

void EntityMap::mergeCurHeaderContents | ( |  | ) |
| inline

Definition at line 509 of file Modularize.cpp.

## Member Data Documentation

DenseMap<const FileEntry *, HeaderContents> EntityMap::HeaderContentMismatches

Definition at line 490 of file Modularize.cpp.

Referenced by main().

The documentation for this class was generated from the following file:

- Modularize.cpp